Subject: [quicwg/base-drafts] HTTP2 connection preface clarification (#1995)

From: abraud <[email-masked]>
Date: Mon, 12 Nov 2018 03:14:24 -0800

Greetings,

RFC7540 Section 3.5 states that a client is to send a preface prior sending its SETTINGS frames.

QUIC HTTP draft states : "After the QUIC connection is
   established, a SETTINGS frame (Section 4.2.5) MUST be sent by each
   endpoint as the initial frame of their respective HTTP control stream
   (see Section 3.2.1)."

So should a preface be sent when doing HTTP2 over QUIC.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1995

---

From: Martin Thomson <[email-masked]>
Date: Mon, 12 Nov 2018 03:18:57 -0800

Closed #1995.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1995#event-1960009792

---

From: Martin Thomson <[email-masked]>
Date: Mon, 12 Nov 2018 03:18:58 -0800

The preface is unnecessary.  HTTP/QUIC != HTTP/2.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1995#issuecomment-437844232